# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'siren_client/version'

Gem::Specification.new do |spec|
  spec.name          = "siren_client"
  spec.version       = SirenClient::VERSION
  spec.authors       = ["Chason Choate"]
  spec.email         = ["cha55son@gmail.com"]
  spec.summary       = %q{A client to traverse Siren APIs https://github.com/kevinswiber/siren}
  spec.description   = %q{SirenClient provides an ActiveRecord-like syntax to traverse Siren APIs.}
  spec.homepage      = "https://github.com/cha55son/siren_client"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.test_files    = spec.files.grep(%r{^(spec)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "httparty", "~> 0.13"
  spec.add_dependency "activesupport", ">= 4"

  spec.required_ruby_version = '>= 2.2.2'

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rack", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "sinatra"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "coveralls"

  # Conditional deps.
  spec.add_development_dependency "listen", "2.10.1" if RUBY_VERSION <= '2.2.5'
  spec.add_development_dependency "byebug" if RUBY_VERSION > "2" && RUBY_PLATFORM != "java"
end
